package nckd.jxccl.hr.psms.common.bo;

import kd.bos.dataentity.entity.DynamicObject;

/**
 * 员工任职
 * @author W.Y.C
 * @date 2025/10/5 20:13
 * @version 1.0
 */
public  class PositionAppointmentBO {

    /**
     * 员工任职关系
     */
    private DynamicObject empPosOrgRel;
    /**
     * 员工学历信息
     */
    private DynamicObject perEduExp;
    /**
     * 员工职称信息
     */
    private DynamicObject perProTitle;
    /**
     * 员工职业资格信息
     */
    private DynamicObject perOcpQual;

    private Boolean isExcellent;

    public PositionAppointmentBO() {
    }

    public PositionAppointmentBO(DynamicObject empPosOrgRel, DynamicObject perEduExp, DynamicObject perProTitle, DynamicObject perOcpQual,Boolean isExcellent) {
        this.empPosOrgRel = empPosOrgRel;
        this.perEduExp = perEduExp;
        this.perProTitle = perProTitle;
        this.perOcpQual = perOcpQual;
        this.isExcellent = isExcellent;
    }

    public DynamicObject getEmpPosOrgRel() {
        return empPosOrgRel;
    }

    public void setEmpPosOrgRel(DynamicObject empPosOrgRel) {
        this.empPosOrgRel = empPosOrgRel;
    }

    public DynamicObject getPerEduExp() {
        return perEduExp;
    }

    public void setPerEduExp(DynamicObject perEduExp) {
        this.perEduExp = perEduExp;
    }

    public DynamicObject getPerOcpQual() {
        return perOcpQual;
    }

    public void setPerOcpQual(DynamicObject perOcpQual) {
        this.perOcpQual = perOcpQual;
    }

    public DynamicObject getPerProTitle() {
        return perProTitle;
    }

    public void setPerProTitle(DynamicObject perProTitle) {
        this.perProTitle = perProTitle;
    }

    public Boolean getExcellent() {
        return isExcellent;
    }

    public void setExcellent(Boolean excellent) {
        isExcellent = excellent;
    }
}